/
Search survey responses
Security
bearerAuth and apiKeyAuth
- Production Serverhttps://api3.sprinklr.com/prod/api/v3/surveyResponse/search
- Mock serverhttps://developer.sprinklr.com/_mock/apis/sprinklr-v3/surveyResponse/search
curl -i -X POST \
'https://api3.sprinklr.com/prod/api/v3/surveyResponse/search?surveyId=string' \
-H 'Authorization: Bearer <YOUR_Token_HERE>' \
-H 'Content-Type: application/json' \
-H 'Key: YOUR_API_KEY_HERE' \
-d '{
"page": {
"start": 0,
"size": 0,
"cursor": "string"
},
"filters": [
{
"filterType": "string",
"field": "string",
"values": [
{}
],
"details": {
"property1": {},
"property2": {}
},
"filters": [
{}
]
}
]
}'Response
{ "hasMore": true, "responses": [ { … } ], "metadata": { "sourceIp": "string", "version": "string", "sequence": 0, "start": 0, "duration": 0, "projectId": "string", "userId": "string", "sessionId": "string", "pageNum": 0, "upload": {}, "end": true }, "customFieldLookup": { "property1": "string", "property2": "string" }, "questionLookup": { "property1": "string", "property2": "string" } }